%define module_name Panda-Export
Epoch: 1
BuildRequires: gcc-c++
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPP/catch/test.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(Panda/Install.pm) perl(Panda/XS.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.2.8
Release: alt4
Summary: Replacement for Exporter.pm + const.pm written in pure C.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SY/SYBER/%{module_name}-%{version}.tar.gz

%description
You can create constants by saying

    use Panda::Export {CONST_NAME1 => VALUE1, ...}

If you want your class to able to export constants or functions you need to derive from Panda::Export.

Exports specified constants and functions to caller's package.

    use MyModule qw/subs list/;

Exports nothing

    use MyModule();
    

Exports all constants only (no functions)

    use MyModule;

Exports functions sub1 and sub2 and all constants

    use MyModule qw/sub1 sub2 :const/;


If Panda::Export discovers name collision while creating or exporting functions or constants it raises an exception.
If you specify wrong sub or const name in import list an exception will also be raisen.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1:2.2.8-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1:2.2.8-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1:2.2.8-alt2
- rebuild with perl 5.30

* Fri Aug 16 2019 Igor Vlasenko <viy@altlinux.ru> 1:2.2.8-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1:2.2.7-alt2.1
- rebuild with perl 5.28.1

* Sat Jan 19 2019 Cronbuild Service <cronbuild@altlinux.org> 1:2.2.7-alt2
- rebuild to fix requires

* Wed Dec 26 2018 Igor Vlasenko <viy@altlinux.ru> 1:2.2.7-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1:2.2.5-alt2
- rebuild with perl 5.26

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 1:2.2.5-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 1:2.2.4-alt3
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> v2.2.2-alt2
- rebuild to get rid of unmets

* Thu Dec 29 2016 Igor Vlasenko <viy@altlinux.ru> v2.2.2-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.2-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.2-alt2
- rebuild to get rid of unmets

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1
- initial import by package builder

